#2800 closed defect (fixed)

qoriq variants failing to build

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The following qoriq variants fail to build:

powerpc-qoriq_core_0
powerpc-qoriq_core_1
powerpc-qoriq_p1020rdb

All fail with this error:

../../../../../.././qoriq_core_0/lib/include/bsp/qoriq.h:407:3: error: conflicting types for 'qoriq_gpio'
 } qoriq_gpio;
   ^~~~~~~~~~
../../../../../.././qoriq_core_0/lib/include/bsp/qoriq.h:184:3: note: previous declaration of 'qoriq_gpio' was here
 } qoriq_gpio;
   ^~~~~~~~~~

Found during full build sweep based on this commit:

commit bb9f09f34c9bdcf4d2631a1fd317bcefd8426efb
Author: Sebastian Huber <sebastian.huber@embedded-brains.de>
Date:   Mon Oct 31 13:07:34 2016 +0100

    posix: Fix timer interval
    
    Do not overwrite timer interval with initial interval in
    _POSIX_Timer_Insert().
    
    Close #2798.

Change History (5)

comment:1 Changed on Nov 2, 2016 at 10:13:42 PM by Joel Sherrill

Confirmed to still be broken on this commit:

commit 63e2ca1b8b0a651a733d4ac3e0517397d0681214
Author: Sebastian Huber <sebastian.huber@embedded-brains.de>
Date:   Mon Oct 31 09:13:35 2016 +0100

    score: Simplify yield and unblock scheduler ops
    
    Update #2556.

comment:2 Changed on Nov 7, 2016 at 8:32:09 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 6cb234f079527dfd52da7d5a12340408777e48ee/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 10, 2017 at 6:56:19 AM by Sebastian Huber

Component: bspsarch/powerpc

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.